## ibod 1.5.0

=== Makefile ===
# $Id: Makefile,v 1.1.1.1 2001/01/10 09:38:27 datenwelt Exp $
# $Symbol$

VERSION =		1.4
RCSSYMBOL =		R1_4

SRCS_C =		ibod.c
SRCS_H =		ibod.h
SRCS_MISC =		Makefile ibod.cf
SRCS_MAN =		ibod.1 ibod.cf.4
SRCS_ALL =		$(SRCS_C) $(SRCS_H) $(SRCS_MISC) $(SRCS_MAN)

all:			ibod

freeze:
			rcs -n$(RCSSYMBOL): $(SRCS_ALL)

dist-src:
			@set -x; \
			tar cvf tmp.tar $(SRCS_ALL); \
			gzip tmp.tar; \
			mv tmp.tar.gz ibod-$(VERSION)-src.tar.gz
			
dist-bin:		all
			@set -x; \
			tar cvf tmp.tar ibod $(SRCS_MAN) ibod.cf; \
			gzip tmp.tar; \
			mv tmp.tar.gz ibod-$(VERSION)-bin.tar.gz

=== debian/changelog ===
ibod (1.5.0-6) unstable; urgency=low

  * Fix typo in package description. (Closes: #299994)
  * Pick up --ld-as-needed patch from Ubuntu. Hey guys, why no bug?

 -- Paul Martin <pm@debian.org>  Tue, 29 May 2012 10:19:23 +0100

ibod (1.5.0-5) unstable; urgency=low

  * Convert to debhelper 9 and dh sequencer.
  * Split out changes into multiple quilt patches and use source format
    3.0 (quilt).
  * Adjust Makefile to allow hardened build.

 -- Paul Martin <pm@debian.org>  Wed, 23 May 2012 14:12:32 +0100

ibod (1.5.0-4) unstable; urgency=high

  * Fix FTBFS error due to file permissions in orig.tar.
    (Closes: #264244)

 -- Paul Martin <pm@debian.org>  Wed, 18 Aug 2004 20:56:40 +0100

ibod (1.5.0-3) unstable; urgency=low

  * Change all occurrences of str_errlist[] to strerror().
  * Fix building with 2.6 kernel headers (as now shipped with libc6).
    This ugly hack consists of #defining __ISDN_FSM_H__ so that other
    headers aren't included. (Closes: #223160)
  * Update to standards version 3.6.1.0
    + Update DEB_BUILD_OPTIONS behaviour to new policy (noopt rather
      than debug).
  * Use dh_installppp now it's available, and change Build-Depends 
    appropriately. (Closes: #212829)

 -- Paul Martin <pm@debian.org>  Fri, 12 Dec 2003 23:02:41 +0000

ibod (1.5.0-2) unstable; urgency=low

  * Updated to standards version 3.5.6.
  * Applied patch from Bernd Harmsen <Bernd.Harmsen@onlinehome.de> to
    add UPLIMIT, DOWNLIMIT and STAYDOWN options to ibod.cf
  * Removed emacs settings from debian/changelog.
  * Use and depend on debhelper 4.

 -- Paul Martin <pm@debian.org>  Tue, 13 Aug 2002 00:18:11 +0100

ibod (1.5.0-1) unstable; urgency=low

  * Initial Release. Closes: #86075
  * ibod.h: Fixed default LIMIT (upstream had 7000, should have been 90)
  * ibod.c: Cleaned up a few compiler warnings
  * ibod.c: Caught error return from write, that doesn't seem to be
    caught by SIGPIPE signal handler.
  * ibod.c: Added tcp_wrappers.
  * ibod.c: commented out a syslog() that was being a bit too verbose.

 -- Paul Martin <pm@debian.org>  Sun, 25 Feb 2001 18:38:10 +0000

=== debian/control ===
Source: ibod
Section: net
Priority: extra
Maintainer: Paul Martin <pm@debian.org>
Build-Depends: debhelper (>> 9), libwrap0-dev
Standards-Version: 3.9.3

Package: ibod
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, ipppd | isdnutils
Description: ISDN MPPP bandwidth on demand daemon
 ibod is an ISDN MPPP bandwidth on demand daemon designed to operate in
 conjunction with isdn4linux. The program monitors inbound and outbound
 traffic on the ISDN interface. When the required bandwidth exceeds the
 capacity for the current number of ISDN B-channels, more (slave)
 channels are connected according to the MPPP protocol. When the traffic
 decreases, the slave channel(s) are disconnected.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_installppp:
	dh_installppp --name=00-ibod
	dh_installppp --name=zz-ibod
